Bug 1129503 - Clearlooks theme title bars broken by gtk3 upgrade
Summary: Clearlooks theme title bars broken by gtk3 upgrade
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: clearlooks-compact-gnome-theme
Version: 21
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 01:18 UTC by Michael Chapman
Modified: 2015-12-02 16:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:23:41 UTC


Attachments (Terms of Use)
Focused title bar prior to the upgrade (7.97 KB, image/png)
2014-08-13 01:19 UTC, Michael Chapman
no flags Details
Focused title bar after the upgrade (7.83 KB, image/png)
2014-08-13 01:19 UTC, Michael Chapman
no flags Details
Unfocused title bar after the upgrade (6.72 KB, image/png)
2014-08-13 01:21 UTC, Michael Chapman
no flags Details

Description Michael Chapman 2014-08-13 01:18:24 UTC
I'm not sure exactly which package is the culprit here, but I'm assigning it to gtk3 since its upgrade caused the problem to manifest. It may be that Clearlooks needs to be modified to work with the newer gtk3, however.

After upgrading from gtk3-3.13.1-2.fc21.x86_64 to gtk3-3.13.5-2.fc21.x86_64 (along with a few dependencies), the title bars for focused windows are no longer rendered correctly. Prior to the upgrade, they had white text on a blue background. After the upgrade the background is light grey -- the text is almost unreadable. I will attach some screenshots showing the problem.

This problem appears to affect only the Clearlooks theme and other similar ones (like Clearlooks-phenix).

Of course, due to package dependencies gtk3 can not be upgraded on its own. I was able to minimize the package upgrade set to:

Before upgrade:
- adwaita-gtk2-theme-3.13.1-3.fc21.x86_64
- adwaita-gtk3-theme-3.13.1-3.fc21.x86_64
- adwaita-icon-theme-3.13.1-2.fc21.noarch
- adwaita-nemo-2.2.3-1.fc21.noarch
- gnome-themes-standard-3.13.1-3.fc21.x86_64
- gtk3-3.13.1-2.fc21.x86_64
- gtk3-immodule-xim-3.13.1-2.fc21.x86_64
- nautilus-3.13.1-2.fc21.x86_64
- nautilus-extensions-3.13.1-2.fc21.x86_64

After upgrade:
- adwaita-gtk2-theme-3.13.4-1.fc21.x86_64
- adwaita-icon-theme-3.13.4-1.fc21.noarch
- adwaita-nemo-2.2.3-2.fc21.noarch
- gnome-themes-standard-3.13.4-1.fc21.x86_64
- gtk3-3.13.5-2.fc21.x86_64
- gtk3-immodule-xim-3.13.5-2.fc21.x86_64
- nautilus-3.13.2-5.fc21.x86_64
- nautilus-extensions-3.13.2-5.fc21.x86_64

I can provide the versions of other packages on my system, if necessary.

Comment 1 Michael Chapman 2014-08-13 01:19:02 UTC
Created attachment 926232 [details]
Focused title bar prior to the upgrade

Comment 2 Michael Chapman 2014-08-13 01:19:23 UTC
Created attachment 926233 [details]
Focused title bar after the upgrade

Comment 3 Michael Chapman 2014-08-13 01:21:52 UTC
Created attachment 926234 [details]
Unfocused title bar after the upgrade

Unfocused title bars don't appear to be adversely affected by the upgrade.

Comment 4 Michael Chapman 2014-09-03 01:04:27 UTC
This is still a problem as of gtk3-3.13.7-2.fc21.x86_64 .

Comment 5 Matthias Clasen 2014-09-04 03:57:42 UTC
I don't think there's anything in gtk to do here. This will have to be sorted out in the theme.

Comment 6 Michael Chapman 2014-09-22 01:13:06 UTC
I'm not sure assigning this to clearlooks-compact-gnome-theme is correct. I do not have that package installed.

According to GNOME Tweak Tool, the theme is just called "Clearlooks". How do I find out which package this belongs to?

Comment 7 Dave Allan 2014-12-30 19:45:57 UTC
I am seeing this behavior as well, on fully updated F21.

Comment 8 Fedora End Of Life 2015-11-04 14:29:34 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-12-02 03:23:44 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.